curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/refunds/search \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/refunds/search"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/refunds/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": {
"amount": 100,
"currency": "BRL"
},
"bank_account_id": "018f9cb0-8d11-72dd-bb14-f82554e80999",
"collecting_document_id": "018f9cb0-8d11-72dd-bb14-f82554e80999",
"description": "description",
"end_to_end_id": "E44444444202405211946Dwg1pjxgehP",
"entity_id": "018f9cb0-8d11-72dd-bb14-f82554e80999",
"external_id": "external_id",
"id": "018f9cb0-8d11-f5da-31a1-0c243407d6d3",
"origin_id": "018f9cb0-8d11-8143-d18c-5c6cd450b608",
"origin_type": "none",
"receipt_url": "https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999/refund/018f9cb0-8d37-031e-8b99-bac2919a5033",
"reconciliation_id": null,
"stages": [
{
"error_code": null,
"error_message": null,
"id": "018f9cb0-8d37-031e-8b99-bac2919a5033",
"inserted_at": "2024-05-21T19:46:07.285344Z",
"status": "created"
}
],
"status": "created",
"timestamp": "2024-05-21T19:46:07.249436Z",
"transaction_date": null,
"virtual_account_id": "018f9cb0-8d11-72dd-bb14-f82554e80999"
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Search Receivable Refunds
Search receivable refunds
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
End To End ID
External ID - transaction identifier used for reconciliation and webhook tracking
From datetime Datetime schema
To datetime Datetime schema
Response
Refund
Collecting document refund response
Amount
Show child attributes
Show child attributes
Bank account ID
Collecting document ID
Collecting refund counterparty
Show child attributes
Show child attributes
Collecting refund counterparty
Show child attributes
Show child attributes
Description
End to end ID
Entity ID
External ID - transaction identifier used for reconciliation and webhook tracking
Refund document ID
Origin ID
Origin type
Receipt URL
Reconciliation ID
Refund document stages
Refund document stage list response
Show child attributes
Show child attributes
Refund document status
Refund document timestamp
Refund document transaction date
Virtual account ID

